Bug 1324521 - RFE: add progress bar for drag-and-drop copying.
Summary: RFE: add progress bar for drag-and-drop copying.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jonathon Jongsma
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1326518 1332180
TreeView+ depends on / blocked
 
Reported: 2016-04-06 14:14 UTC by Andrei Stepanov
Modified: 2016-11-04 01:16 UTC (History)
12 users (show)

Fixed In Version: virt-viewer-2.0-8.el7
Doc Type: Enhancement
Doc Text:
Feature: Add progress bar to inform the users the status of file transfer operation, when dragging a file from the client and dropping it in the guest. Reason: When the file transference is done, the users may notice by the creating of a new icon in your desktop (Windows case) or by the "Downloads" folder being opened (Linux case), however, there is no current way to see whether a file transfer is happening or not, mainly when drag-and-dropping big files. Result: Now a file transfer dialog was introduced and the user can see the progress of their file transfer operations.
Clone Of:
: 1326518 1332180 (view as bug list)
Environment:
Last Closed: 2016-11-04 01:16:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2229 0 normal SHIPPED_LIVE virt-viewer, libgovirt, spice-gtk, and usbredir bug fix and enhancement update 2016-11-03 13:26:58 UTC

Description Andrei Stepanov 2016-04-06 14:14:59 UTC
As you know, Spice protocol supports drag-and-drop files from client to guest. This is very cool feature. It would be really cool to have a progress bar for copying process. Files can be very big in size. As a user release mouse's  button file immediately appears on VM. But, it is not very clear when copying process is finished. The time for copying greatly depends on network's condition. User can start using file before it is actually copied. I am not sure where to show this progress bar, as remote-viewer can consume whole client's display. Maybe, it can be shown not by remote-viewer, but by spice-vdagent.

Comment 1 Marc-Andre Lureau 2016-04-06 14:21:29 UTC
(In reply to Andrei Stepanov from comment #0)
> I am not sure where to show this progress bar, as remote-viewer can consume
> whole client's display. Maybe, it can be shown not by remote-viewer, but by
> spice-vdagent.

even better, by the guest OS/desktop itself by implementing proper drag and drop (not a "fake dnd" / copy files).

Comment 3 Jonathon Jongsma 2016-04-08 17:58:48 UTC
There is a patch series posted here that adds a progress dialog to virt-viewer: https://www.redhat.com/archives/virt-tools-list/2016-April/msg00013.html

Comment 5 Xiaodai Wang 2016-06-30 07:19:06 UTC
I verified it with virt-viewer-2.0-8.el7.x86_64, the file tranfter dialogue works well.

Steps:
1. Select some small text files and drap-drop them into guest, no file transfer dialogue pops up.
2. Select a large file and drap-drop them into guest, a file transfer dialogue pops up, then select more large files, 
the new file transter tasks are added into the file transfer dialogue.
3. The file transfer task can be canceled be clicking the "Cancel" button.
4. A speparate file transfer task can be interrupted by clicking the "stop" icon bebind the task.

so move this bug from ON_QA to VERIFIED.

Comment 13 errata-xmlrpc 2016-11-04 01:16:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2229.html


Note You need to log in before you can comment on or make changes to this bug.